# $Revision: 1.26 $, $Date: 2012/02/23 09:01:09 $
#
# Conditional build:
%bcond_without	python2		# Python 2.x module
%bcond_without	python3		# Python 3.x module
#
%define	module	serial
#
Summary:	Serial port interface module
Summary(pl.UTF-8):	Moduł interfejsu do portu szeregowego
Name:		python-serial
Version:	2.6
Release:	2
License:	GPL
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/p/pyserial/pyserial-%{version}.tar.gz
# Source0-md5:	cde799970b7c1ce1f7d6e9ceebe64c98
URL:		http://pyserial.wiki.sourceforge.net/pySerial
%if %{with python2}
BuildRequires:	python-devel
BuildRequires:	python-modules
%pyrequires_eq	python
%endif
%if %{with python3}
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	unzip
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%description -l pl.UTF-8
Ten moduł opakowuje dostęp do portu szeregowego. Dostarcza backendy
dla Pythona działającego na Windows, Linuksie, BSD (być może dowolnym
systemie zgodnym z POSIX) oraz Jythona. Moduł o nazwie "serial"
automatycznie wybiera właściwy backend.

%package -n	python3-%{module}
Summary:	Serial port interface module
Version:	%{version}
Release:	%{release}
Group:		Libraries/Python
%pyrequires_eq	python3

%description -n python3-%{module}
This module encapsulates the access for the serial port. It provides
backends for Python running on Windows, Linux, BSD (possibly any POSIX
compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%prep
%setup  -q -n pyserial-%{version}

%build
%if %{with python2}
%{__python} ./setup.py build --build-base py2
%endif
%if %{with python3}
%{__python3} ./setup.py build --build-base py3
%endif

%install
rm -rf $RPM_BUILD_ROOT
%if %{with python2}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
%{__python} ./setup.py build \
	--build-base py2 \
	install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT
cp examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python-%{module}-%{version}
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*serialjava*" -exec rm {} \;
find $RPM_BUILD_ROOT%{py_sitescriptdir} -name "*serialwin*" -exec rm {} \;
%endif
%if %{with python3}
install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
%{__python3} ./setup.py build \
	--build-base py3 \
	install \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT
cp examples/*.py $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{py3_sitescriptdir} -name "*serialjava*" -exec rm {} \;
find $RPM_BUILD_ROOT%{py3_sitescriptdir} -name "*serialwin*" -exec rm {} \;
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.txt
%{_examplesdir}/python-%{module}-%{version}
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/*egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc CHANGES.txt LICENSE.txt README.txt
%{_examplesdir}/python3-%{module}-%{version}
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/*egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-serial.spec,v $
Revision 1.26  2012/02/23 09:01:09  kiesiu
- fixed python version requirements for python2 modules
- added bconds for both python2 and python3 modules
- rel. 2

Revision 1.25  2012/01/26 19:21:50  wrobell
- ver. 2.6
- user pypi download uri

Revision 1.24  2011/06/01 20:10:35  wrobell
- fixed installation of the python 2.x and 3.x packages

Revision 1.23  2011/05/30 18:21:48  wrobell
- started to add python 2.x package for pyserial 2.5

Revision 1.22  2011/05/22 01:56:59  wrobell
- ver. 2.5 (for python 3 now, python 2 package to be done)

Revision 1.21  2011/01/23 21:10:45  sparky
- added BR: python-modules, rpm-pythonprov

Revision 1.20  2010/07/08 08:39:02  arekm
- release 2

Revision 1.19  2009/01/27 20:12:59  wrobell
- ver. 2.4

Revision 1.18  2008/11/23 20:30:53  arekm
- release 2

Revision 1.17  2007/02/13 08:06:43  glen
- tabs in preamble

Revision 1.16  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.15  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.14  2005/10/24 22:50:34  czucz
- updated to 2.2

Revision 1.13  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.12  2004/12/26 17:52:14  saq
- release 2 for rebuild with python 2.4

Revision 1.11  2004/12/16 02:23:03  zbyniu
- BR: unzip

Revision 1.10  2004/09/01 11:25:08  adamg
- kill pld.org.pl, kill, kill, kill ...

Revision 1.9  2004/09/01 11:13:29  wrobell
- cleanup
- rel. 1

Revision 1.8  2004/08/31 16:45:23  zboczuch
- cleanups

Revision 1.7  2004/08/31 13:33:50  darekr
- update to 2.1

Revision 1.6  2004/08/14 09:22:57  teodor
 - s/%{py_sitedir}/%{py_scriptdir}/
 - added DOC and examples

Revision 1.5  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.4  2004/07/09 19:42:42  qboosh
- pl

Revision 1.3  2004/07/09 17:02:26  ankry
- commented out dumb translations, spaces -> tabs, fixed group

Revision 1.2  2004/07/09 15:07:11  jpc
- move to HEAD (from RA-branch)

Revision 1.1.2.1  2004/07/09 14:47:00  matkor
- Version 2.0-0.1. NFY , but works, no time to finish it.
